All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface RangeSegmentInterface

All Superinterfaces:
  java.lang.Cloneable, com.sas.util.Countable, PropertyBagChangedSource, PropertyBagInterface, com.sas.PublicClonable, RangeInterface, StaticPropertyBagInterface

All Known Implementing Classes:
  RangeSegment

    public interface RangeSegmentInterface

extends RangeInterface, PropertyBagInterface, com.sas.PublicClonable

See Also:
  `RangeSegment`, `RangeInterface`

Method Summary
`abstract java.lang.Object` | `clone()` Clone an object.
`abstract java.lang.Number` | `getMaximumNumber()` Return the maximum value of the range segment.
`abstract java.lang.Number` | `getMinimumNumber()` Return the minimum value of the range segment.
`abstract void` | `setMaximumNumber(java.lang.Number max)` Set the maximum value for the RangeInterface
`abstract void` | `setMinimumNumber(java.lang.Number min)` Set the minimum value for the RangeInterface

Methods inherited from interface com.sas.collection.PropertyBagInterface
`merge, remove, removeAll, set, set`

Methods inherited from interface com.sas.collection.StaticPropertyBagInterface
`containsKey, count, get, get, listKeys, toDictionary`

Methods inherited from interface com.sas.collection.PropertyBagChangedSource
`addPropertyBagChangedListener, removePropertyBagChangedListener`

Method Detail

### getMinimumNumber

    java.lang.Number getMinimumNumber()

  Return the minimum value of the range segment.

  Specified by:
    `getMinimumNumber` in interface `RangeInterface`
  Returns:
    The minimum value of the range segment.

### getMaximumNumber

    java.lang.Number getMaximumNumber()

  Return the maximum value of the range segment.

  Specified by:
    `getMaximumNumber` in interface `RangeInterface`
  Returns:
    The maximum value of the range segment.

### setMaximumNumber

    void setMaximumNumber(java.lang.Number max)

  Set the maximum value for the RangeInterface

  Specified by:
    `setMaximumNumber` in interface `RangeInterface`
  Parameters:
    `max` - the maximum value for the RangeInterface

### setMinimumNumber

    void setMinimumNumber(java.lang.Number min)

  Set the minimum value for the RangeInterface

  Specified by:
    `setMinimumNumber` in interface `RangeInterface`
  Parameters:
    `min` - the minimum value for the RangeInterface

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone an object.

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Specified by:
    `clone` in interface `StaticPropertyBagInterface`
  Returns:
    a clone of the object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the clone fails.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.